{pkgs, ...}: let
  inherit (pkgs.stdenv.hostPlatform) isLinux;
  systemSpecificPackages =
    if isLinux
    # include gping because of open bug
    then [pkgs.zsh pkgs.racket pkgs.gping pkgs.mold pkgs.zed-editor]
    else [pkgs.keka];
in {
  imports = [
    ./git.nix
    ./mise.nix
    ./neovim.nix
    ./ssh.nix
    ./starship.nix
    ./zellij.nix
    ./zsh.nix
  ];
  home.packages = with pkgs;
    [
      _1password
      bandwhich
      bat
      bottom
      cargo-workspaces
      clipboard-jh
      colima
      curl
      docker-client
      dogdns
      erdtree
      erg
      emacs
      fantasque-sans-mono
      fd
      (fenix.latest.withComponents ["cargo" "clippy" "rustfmt" "rust-src" "rustc"])
      ffmpeg_6
      gawkInteractive
      gnugrep
      gnused
      gnutar
      gql
      imagemagick
      inshellisense
      internetarchive
      jless
      jq
      just
      kondo
      litecli
      magic-wormhole-rs
      martian-mono
      # ncdu
      neovide
      ov
      page
      pandoc
      parallel
      pdm
      python312Packages.pipx
      poetry
      rage
      ripgrep
      rsync
      rust-analyzer-nightly # part of the fenix distribution/overlay
      scriptisto
      sqlite
      tmux
      # vscode-fhs
      python312Packages.yt-dlp
      zenith
      # zoom-us
      zstd
    ]
    ++ systemSpecificPackages;
}
